moeoSolutionUM(3)

NAME
moeoSolutionUM - Base class for unary metrics dedicated to the performance evaluation of a single solution's Pareto fitness.

SYNOPSIS

#include <moeoMetric.h>

Inherits moeoUM< const EOFitness &, R >.

Detailed Description

  template<class EOT, class R, class EOFitness = typename EOT::Fitness> class moeoSolutionUM< EOT, R, EOFitness >
Base class for unary metrics dedicated to the performance evaluation of a single solution's Pareto fitness.

Definition at line 47 of file moeoMetric.h.

Author

Generated automatically by Doxygen for ParadisEO-MOEO from the source code.